Name: gnu-pop3d
Version: 0.9.13
Release: 1
Copyright: GPL
Group: Networking/Daemons
Source: http://jth.net/utils/%{name}-%{version}-%{release}.tar.gz
Summary: GNU POP3 server
#Requires: pam >= 0.59
Prereq: /sbin/chkconfig
Obsoletes: ids-pop3d
Vendor: Open Source
Packager: "Jrgen Thomsen" <jth@jth.net>
BuildRoot: /tmp/%{name}-%{version}-%{release}

%description
The GNU POP3 server, or GNU POP. This is a small, fast, efficent POP3 server.
It aims to be fully RFC compliant. Please read the file README.rpm in this
packages doc directory for more information.

%changelog
* Wed Mar 31 1999 Edgard Castro <castro@usmatrix.net>
- Added support to Linux PAM library
- Using a new init script
- Major revamp on spec file
- Discarding all symbols from the executable
- Changed CFLAGS to use $RPM_OPT_FLAGS
- Using chkconfig to create init entriess
- Added default attributes when installing files

%prep
%setup
./configure --prefix=/usr/local --enable-mdn 

%build
make ROOT=$RPM_BUILD_ROOT
/usr/bin/strip --strip-all gnu-pop3d

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make ROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp -f gnu-pop3d.pamd $RPM_BUILD_ROOT/etc/pam.d/gnu-pop3d
cp -f gnu-pop3d.init $RPM_BUILD_ROOT/etc/rc.d/init.d/gnu-pop3d

%pre
if [ -f /var/lock/subsys/gnu-pop3d ]; then
   /etc/rc.d/init.d/gnu-pop3d stop
fi

%post
/sbin/chkconfig --add gnu-pop3d

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/gnu-pop3d ]; then
      /etc/rc.d/init.d/gnu-pop3d stop
   fi
   /sbin/chkconfig --del gnu-pop3d
fi

%files
%defattr(0644,root,root,0755)
%doc COPYING README* AUTHORS TODO INSTALL RFC*.txt
%attr(0755,root,root) /usr/local/sbin/gnu-pop3d
%attr(0644,root,root) /usr/local/man/man8/gnu-pop3d.8
%attr(0755,root,root) /etc/rc.d/init.d/gnu-pop3d
%config /etc/pam.d/gnu-pop3d
